set GISPROJECT_PATH=d:\TEMP_ES
set AU_DIR=d:\ENERGOSETI\AutoUpdateFromKrasnoyarsk
set BIN_DIR=%AU_DIR%\Bin
set LOG_DIR=%AU_DIR%\Log
set DATA_DIR=%AU_DIR%\Data
set LOG_FILENAME=UpdateFromKrasnoyarsk.log
set TMP_DIR=%AU_DIR%\Tmp

rem न   ᪢
set SQLSERVER=10.72.1.125
set SQL_LOGIN=ENSETI
set SQL_PASSWORD=qwert123
set SQLDB=suek-krrsk
set SQLDB_DBNAME=-㧡
set SQLDB_LOGNAME=-㧡_log
set SQLSTORAGE=C:\Program Files\Microsoft SQL Server\MSSQL10.MSSQLSERVER\MSSQL\DATA
set SQLDATA_DIR=%SQLSTORAGE%
set SQLLOG_DIR=%SQLSTORAGE%
set SQLDATA_FILE=%SQLDATA_DIR%\%SQLDB%.mdf
set SQLLOG_FILE=%SQLDATA_DIR%\%SQLDB%_log.ldf

date /T >> %LOG_DIR%\%LOG_FILENAME%
time /T >> %LOG_DIR%\%LOG_FILENAME%

cd %DATA_DIR%
echo Making backups >> %LOG_DIR%\%LOG_FILENAME% 2>>&1
rem  7 १ࢭ  䠩, ᠬ  ࠥ
ren SUEK-Krasnoyarsk-current-project.zip.6 SUEK-Krasnoyarsk-current-project.zip.7 >> %LOG_DIR%\%LOG_FILENAME% 2>>&1
ren SUEK-Krasnoyarsk-current-project.zip.5 SUEK-Krasnoyarsk-current-project.zip.6 >> %LOG_DIR%\%LOG_FILENAME% 2>>&1
ren SUEK-Krasnoyarsk-current-project.zip.4 SUEK-Krasnoyarsk-current-project.zip.5 >> %LOG_DIR%\%LOG_FILENAME% 2>>&1
ren SUEK-Krasnoyarsk-current-project.zip.3 SUEK-Krasnoyarsk-current-project.zip.4 >> %LOG_DIR%\%LOG_FILENAME% 2>>&1
ren SUEK-Krasnoyarsk-current-project.zip.2 SUEK-Krasnoyarsk-current-project.zip.3 >> %LOG_DIR%\%LOG_FILENAME% 2>>&1
ren SUEK-Krasnoyarsk-current-project.zip.1 SUEK-Krasnoyarsk-current-project.zip.2 >> %LOG_DIR%\%LOG_FILENAME% 2>>&1
ren SUEK-Krasnoyarsk-current-project.zip SUEK-Krasnoyarsk-current-project.zip.1 >> %LOG_DIR%\%LOG_FILENAME% 2>>&1

ren SUEK-Krasnoyarsk-current-db.zip.6 SUEK-Krasnoyarsk-current-db.zip.7 >> %LOG_DIR%\%LOG_FILENAME% 2>>&1
ren SUEK-Krasnoyarsk-current-db.zip.5 SUEK-Krasnoyarsk-current-db.zip.6 >> %LOG_DIR%\%LOG_FILENAME% 2>>&1
ren SUEK-Krasnoyarsk-current-db.zip.4 SUEK-Krasnoyarsk-current-db.zip.5 >> %LOG_DIR%\%LOG_FILENAME% 2>>&1
ren SUEK-Krasnoyarsk-current-db.zip.3 SUEK-Krasnoyarsk-current-db.zip.4 >> %LOG_DIR%\%LOG_FILENAME% 2>>&1
ren SUEK-Krasnoyarsk-current-db.zip.2 SUEK-Krasnoyarsk-current-db.zip.3 >> %LOG_DIR%\%LOG_FILENAME% 2>>&1
ren SUEK-Krasnoyarsk-current-db.zip.1 SUEK-Krasnoyarsk-current-db.zip.2 >> %LOG_DIR%\%LOG_FILENAME% 2>>&1
ren SUEK-Krasnoyarsk-current-db.zip SUEK-Krasnoyarsk-current-db.zip.1 >> %LOG_DIR%\%LOG_FILENAME% 2>>&1

echo Fetching project... >> %LOG_DIR%\%LOG_FILENAME% 2>>&1
rem 稢 ஥  
%BIN_DIR%\curl --user moscow:qwert -O ftp://10.73.16.102/SUEK-Krasnoyarsk-current-project.zip>> %LOG_DIR%\%LOG_FILENAME% 2>>&1
echo Fetching DB... >> %LOG_DIR%\%LOG_FILENAME% 2>>&1
%BIN_DIR%\curl --user moscow:qwert -O ftp://10.73.16.102/SUEK-Krasnoyarsk-current-db.zip >> %LOG_DIR%\%LOG_FILENAME% 2>>&1

rem ᯠ뢠 ஥
rem %BIN_DIR%\unzip -o -u SUEK-Krasnoyarsk-current-project.zip -d "%GISPROJECT_PATH%" >> %LOG_DIR%\%LOG_FILENAME% 2>>&1
echo Extracting project... >> %LOG_DIR%\%LOG_FILENAME% 2>>&1
%BIN_DIR%\unzip -o SUEK-Krasnoyarsk-current-project.zip -d "%GISPROJECT_PATH%" >> %LOG_DIR%\%LOG_FILENAME% 2>>&1

rem ᯠ뢠 
%BIN_DIR%\unzip -o SUEK-Krasnoyarsk-current-db.zip >> %LOG_DIR%\%LOG_FILENAME% 2>>&1

rem 稢 
echo RESTORE DATABASE [%SQLDB%] FROM DISK = N'%DATA_DIR%\Suek-Krasnoyarsk-current-db.bak' WITH FILE = 1, MOVE N'%SQLDB_DBNAME%' TO N'%SQLDATA_FILE%', MOVE N'%SQLDB_LOGNAME%' TO N'%SQLLOG_FILE%', NOUNLOAD, REPLACE, STATS = 10 > %TMP_DIR%\restore-db.sql
osql -S %SQLSERVER% -U %SQL_LOGIN% -P %SQL_PASSWORD% -i %TMP_DIR%\restore-db.sql >> %LOG_DIR%\%LOG_FILENAME% 2>>&1
del %TMP_DIR%\restore-db.sql > nul 2>nul
